Mission = {
};


function Mission:OnInit()
	-- you may want to load a string-table etc. here...
end

function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end

function Mission:Event_whatsup()
	--first objective
	Hud:PushObjective({}, "Find out what's happening nearby");
	Hud:AddMessage("New Objective: Find out what's happening nearby",120);
end

function Mission:Event_whatsupComplete()
	--objective completed
	Hud:CompleteObjective("Find out what's happening nearby");
end

function Mission:Event_FindPistolHint()
	--Hint
	Hud:AddMessage("Hint: Find someone with a gun... Quickly",120);
end

function Mission:Event_Getmainisle()
	--second objective
	Hud:PushObjective({}, "Get onto the main island");
	Hud:AddMessage("Objective Added: Get onto the main island", 120);
end

function Mission:Event_GetmainisleComplete()
	--objective completed
	Hud:CompleteObjective("Get onto the main island");
	Hud:SetRadarObjective("Radar1");
end

function Mission:Event_FindaBuggy()
	--third objective
	Hud:PushObjective({}, "Find a Buggy");
	Hud:AddMessage("New Objective: Find a Buggy",120);
end

function Mission:Event_FindaBuggyComplete()
	--objective completed
	Hud:CompleteObjective("Get onto the main island");
	Hud:CompleteObjective("Find a Buggy");
end

function Mission:Event_FindExplosives()
	--fourth objective
	Hud:PushObjective({}, "Find some Explosives");
	Hud:AddMessage("New Objective: Find some Explosives",120);
	Hud:SetRadarObjective("Radar2");
end

function Mission:Event_FindExplosivesComplete()
	--objective completed
	Hud:CompleteObjective("Find some Explosives");
end

function Mission:Event_DestroyCamp()
	--fifth objective
	Hud:PushObjective({}, "Completely Destroy the Camp beside the Great Wall");
	Hud:AddMessage("Objective Added: Completely Destroy the Camp beside the Great Wall", 120);
	Hud:SetRadarObjective("Radar3");
end

function Mission:Event_DestroyCampComplete()
	--objective completed
	Hud:CompleteObjective("Completely Destroy the Camp beside the Great Wall");
end

function Mission:Event_CrossWall()
	--sixth objective
	Hud:PushObjective({}, "Find a way across the Great Wall");
	Hud:AddMessage("New Objective: Find a way across the Great Wall",120);
	Hud:SetRadarObjective("nil");
end

function Mission:Event_CrossWallComplete()
	--objective completed
	Hud:CompleteObjective("Find a way across the Great Wall");
end

function Mission:Event_MoreExplosives()
	--seventh objective
	Hud:PushObjective({}, "Find more Explosives");
	Hud:AddMessage("New Objective: Find more Explosives",120);
	Hud:SetRadarObjective("Radar4");
end

function Mission:Event_MoreExplosivesComplete()
	--objective completed
	Hud:CompleteObjective("Find more Explosives");
end

function Mission:Event_FindGlider()
	--eighth objective
	Hud:PushObjective({}, "Find a Glider");
	Hud:AddMessage("New Objective: Find a Glider",120);
end

function Mission:Event_FindGliderComplete()
	--objective completed
	Hud:CompleteObjective("Find a Glider");
end

function Mission:Event_DestroyRadioTower()
	--ninth objective
	Hud:PushObjective({}, "Destroy the Radio Tower");
	Hud:AddMessage("New Objective: Destroy the Radio Tower",120);
	Hud:SetRadarObjective("Radar5");
end

function Mission:Event_DestroyRadioTowerComplete()
	--objective completed
	Hud:CompleteObjective("Destroy the Radio Tower");
end

function Mission:Event_StopArchitect()
	--ninth objective
	Hud:PushObjective({}, "Find the Architect then Blow the Compound");
	Hud:AddMessage("New Objective: Find the Architect then Blow the Compound",120);
	Hud:SetRadarObjective("Radar6");
end

function Mission:Event_MissionFailed()
	--mission failed
	Hud:AddMessage("MISSION FAILED",120);
	Hud:AddMessage("MISSION FAILED",120);
	Hud:AddMessage("MISSION FAILED",120);
end

function Mission:Event_StopArchitectCompleteA()
	--objective completed
	Hud:FlashObjectives({}, "");
	Hud:SetRadarObjective("nil");
	Hud:AddMessage("***************************",120);
	Hud:AddMessage("***************************",120);
	Hud:AddMessage("                           ",120);
	Hud:AddMessage("SO YOU ARE THE SURVEYOR !!!",120);
	Hud:AddMessage("YOU THINK YOU HAVE WON",120);
end

function Mission:Event_StopArchitectCompleteB()
	Hud:AddMessage("BUT I AM THE ARCHITECT",120);
	Hud:AddMessage("AND THE WORLD HAS WAITED MUCH TOO LONG FOR ME",120);
end

function Mission:Event_GameSaved()
	--displays game saved message
	Hud:AddMessage("GAME SAVED", 120);
end

function Mission:Event_End()
	--end of game
	Game:SendMessage('StartLevelFade sp_breakthrough');
end




